# BP\_BreathingComponent

This page describes the Breathing Component that ships with Motion. The Breathing Component provides camera movement for when the player stands still, moving it up and to the side, for a more immersive and dynamic experience.

### Methods

#### Event Handler

| Name                      | Description                                                                                |
| ------------------------- | ------------------------------------------------------------------------------------------ |
| HandleOnEventBeginPlay    | Called when "Event Begin Play" gets called. Sets up events & creates curve.                |
| HandleOnTransitionMaximum | Called when a transition reaches it's peak. Used to update the offset curve configuration. |
| HandleOnVelocityBegin     | Called when the player moves.                                                              |
| HandleOnVelocityStop      | Called when the player stops moving..                                                      |

***

### Variables

#### Configuration

| Name                  | Description                                                                                                        |
| --------------------- | ------------------------------------------------------------------------------------------------------------------ |
| CameraOffsetCurve     | The curve used to move the camera when breathing.                                                                  |
| bShowDebugInformation | If true, various useful variables will be printed on the screen to help with debugging.                            |
| bIsEnabled            | If false, the component stops sending commands to the curve manager and only prints debug information, if enabled. |

#### Constants

| Name      | Description                                                 |
| --------- | ----------------------------------------------------------- |
| CurveType | Type description of the curves generated by this component. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://motion.docs.regensturm.com/components/bp_breathingcomponent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
